# $Revision: 1.13 $, $Date: 2004/08/31 03:31:58 $
Summary:	Analyze text for style
Summary(pl):	Narzdzie analizujce tekst pod ktem stylu
Name:		diction
Version:	1.06
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	http://www.moria.de/~michael/diction/%{name}-%{version}.tar.gz
# Source0-md5:	1686c6b081a1a18581ebe7c10cb7ab9b
Patch1:		%{name}-texi.patch
URL:		http://www.moria.de/~michael/diction/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU diction and style are free implementations of old standard unix
commands, that are not available on many modern systems, because they
have been unbundled. Diction prints wordy and commonly misused
phrases. Style analyses surface characteristics of a document, e.g.
sentence length and various readability measures, but unlike the
original code, it lacks sentence type, word usage and most sentence
beginning processing.

Both commands support English and German documents.

%description -l pl
GNU diction oraz style s otwartymi implementacjami starych,
standardowych komend uniksowych, ktre nie s dostpne na wielu
nowoczesnych systemach. Diction wypisuje czste pomyki sowne i le
uyte wyraenia. Style analizuje powierzchniowe charakterystyki
dokumentu, np. dugo zda oraz rne wskaniki czytelnoci, jednak w
przeciwiestwie do oryginalnej wersji nie przeprowadza analizy typu
zda, uycia sw oraz pocztkw zda.

Obie komendy wspieraj jzyki angielski i niemiecki.

%prep
%setup -q
%patch1 -p1

%build
%{__autoconf}
cp -f %{_datadir}/automake/{config.*,missing} .
%configure
%{__make}
makeinfo diction.texi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_infodir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install diction*.info $RPM_BUILD_ROOT%{_infodir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man?/*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: diction.spec,v $
Revision 1.13  2004/08/31 03:31:58  snurf
- typos / formatting / etc.

Revision 1.12  2004/08/30 19:23:29  darekr
- update to 1.06

Revision 1.11  2004/02/23 02:34:29  eothane
- up to 1.05, ZzZzZz

Revision 1.10  2003/09/05 07:52:02  gotar
- upgraded to 1.04,
- DESTDIR patch allready in sources.

Revision 1.9  2003/08/11 08:42:25  qboosh
- use find_lang

Revision 1.8  2003/08/09 18:23:59  gotar
- added de locale,
- upgraded to 1.03.

Revision 1.7  2003/08/02 23:28:17  qboosh
- use __autoconf macro

Revision 1.6  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.5  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/09/16 16:22:09  qboosh
- added pl summary and post/postun with info page (de)registration; release 2

Revision 1.2  2002/08/30 12:55:42  grzegorz
- typo

Revision 1.1  2002/08/30 12:32:23  malekith
- initial
